NotationDeclaration (Java SE 23 & JDK 23)
Description: declaration: module: java.xml, package: javax.xml.stream.events, interface: NotationDeclaration
Keywords: javax.xml.stream.events.NotationDeclaration interface

# Interface NotationDeclaration

All Superinterfaces:
  `XMLEvent`, `XMLStreamConstants`

public interface NotationDeclaration extends XMLEvent
An interface for handling Notation Declarations Receive notification of a notation declaration event. It is up to the application to record the notation for later reference, At least one of publicId and systemId must be non-null. There is no guarantee that the notation declaration will be reported before any unparsed entities that use it.

Since:
  1.6

- ## Field Summary

  ### Fields declared in interface javax.xml.stream.XMLStreamConstants

  `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  The notation name.
  `String`
  `getPublicId()`
  The notation's public identifier, or null if none was given.
  `String`
  `getSystemId()`
  The notation's system identifier, or null if none was given.

  ### Methods declared in interface javax.xml.stream.events.XMLEvent

  `asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

- ## Method Details

  - ### getName

    String getName()
    The notation name.
    Returns:
      the notation name

  - ### getPublicId

    String getPublicId()
    The notation's public identifier, or null if none was given.
    Returns:
      the public identifier

  - ### getSystemId

    String getSystemId()
    The notation's system identifier, or null if none was given.
    Returns:
      the system identifier